#!/usr/bin/env python
# -*- coding: UTF8 -*-

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
# This file is part of system-config-vsftpd
#
# System-config-vsftpd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# ( at your option ) any later version.
# 
# System-config-vsftpd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Gnome-todo-manager; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

# Import GTK and PyGTK libraries
import gtk

# Import stock python libraries
import os

from shell      import Shell
from confChoice import makeChoice
#import gettext
#_ = gettext.gettext



def find_config( parent ):

       """
       Methode for loading configuration from server's configuration file
       """

       __shell = Shell( None )
       _confname_ = "vsftpd.conf"
        # write locations of vsftpd.conf by priority to _paths_ 
       _paths_ = ( "/etc", "/etc/vsftpd", "/usr/local/etc" )
       _confList = []

       for path_segment in _paths_:

	   current_path = os.path.join( path_segment, _confname_ )
           if __shell.exists( current_path ): 
               try:
                   confFile = open( current_path, 'r')
               except IOError:
                   continue;
               else:
	          _confList.append( current_path )
                  confFile.close( )

       if _confList == []:
           # No configuration file found
           define_config_path( )
       elif len( _confList ) > 1:
           # Found multiple configuration files
           choice = makeChoice( parent, _confList )
           return choice.run() 
       else: 
           # Found one file, returning..
           return _confList[0]


def define_config_path( ):

       gtk.MessageDialog( None, 0, gtk.MESSAGE_ERROR, gtk.BUTTONS_OK, "I can't read the configuration file.\n Try to check permissions,..." ).run( )
       gtk.MessageDialog( None, 0, gtk.MESSAGE_ERROR, gtk.BUTTONS_OK, 'File '+self.cname+' does not exists!' ).run( )

